Bug 1174218

Summary: incorrect smoothing
Product: [Fedora] Fedora Reporter: Lavrinov Dmitriy <lavrinov2004>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: behdad, fonts-bugs, ignatenko, kevin, lavrinov2004, mkasik, vascom2
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-02 05:59:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Lavrinov Dmitriy 2014-12-15 12:16:38 UTC
Description of problem:


In Fedora 21 after an upgrade, upgrade the package to version 2.5.3-13 freetype resulting stopped working font smoothing in Mozilla Firefox and Wine. In the previous version 2.5.3-11 freetipe everything worked well.

Comment 1 Igor Gnatenko 2014-12-15 12:43:22 UTC
Please attach screenshots.

Comment 3 Marek Kašík 2014-12-15 16:00:04 UTC
Hi,

I can not reproduce the problem.
Do you have a special theme applied on the KDE session? Do you have a non-standard setting of fonts in your system?

Comment 4 Kevin Kofler 2014-12-15 16:40:47 UTC
The -11 screenshot is using subpixel antialiasing, the -13 one grayscale. There are also some other hinting differences, the characters don't end up at the same positions. Are you sure both of those screenshots are from Fedora freetype packages, no freetype-freeworld, freetype-infinality or the like?

Comment 5 Lavrinov Dmitriy 2014-12-16 06:04:21 UTC
(In reply to Marek Kašík from comment #3)
> Hi,
> 
> I can not reproduce the problem.
> Do you have a special theme applied on the KDE session? Do you have a
> non-standard setting of fonts in your system?


Hi! SETTING only that I did post the screenshot http://www.imageup.ru/img213/1980839/screen.jpg.html

Comment 6 Lavrinov Dmitriy 2014-12-16 06:09:20 UTC
(In reply to Kevin Kofler from comment #4)
> The -11 screenshot is using subpixel antialiasing, the -13 one grayscale.
> There are also some other hinting differences, the characters don't end up
> at the same positions. Are you sure both of those screenshots are from
> Fedora freetype packages, no freetype-freeworld, freetype-infinality or the
> like?

Yes, I'm sure it's both packages from Fedora using different versions of packages freetype.
Freetype-infinality and any other packages I did not set.

Comment 7 Lavrinov Dmitriy 2014-12-24 05:20:36 UTC
This error occurs when the package is upgraded from version 2.5.3-11 freetype to version 2.5.3-13 - When connecting the repository update-testing, I turn it off, the error is not corrected and added package freetype 2.5.3.-13 updates to the repository - solve this problem please.

Comment 8 Fedora End Of Life 2015-11-04 14:33:55 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-12-02 05:59:53 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.